Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037090
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2017-10-17 18:092018-01-03 12:38
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision8071a84ccfe2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037090: Error when processing payment generating credit and business partner has no currency defined

DescriptionOnly "Error" red message is shown to end-user. But according with NullPointerException error shown in openbravo.log problem is related with business partner currency
Steps To Reproduce0. Create new Business Partner, define it as "vendor": fill Payment Method, Payment Terms and Financial Account fields but left Price List field empty (so business partner currency is not initialized)
1. Create new Payment Out document for previous vendor. Set any "Generated credit" amount and run "Add details". Try to process payment and error will be reised
Proposed SolutionError is in:
ERROR org.openbravo.advpaymentmngt.actionHandler.AddPaymentOnProcessActionHandler -
java.lang.NullPointerException
    at org.openbravo.advpaymentmngt.actionHandler.AddPaymentOnProcessActionHandler.execute(AddPaymentOnProcessActionHandler.java:75)

NullPointerException should be controlled to raise proper error "'Please initialize # business partner currency before processing the document.'" (value 'InitBPCurrencyLnk')
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028077 closedfsoto82 In case business partner's currency is not defined, an error should be raised asking user to initialize it 

-  Notes
(0099973)
AtulOpenbravo (developer)
2017-10-20 08:37

- Login as F&B International Group Admin
- Create new Business Partner, define it as "vendor": fill Payment Method, Payment Terms and Financial Account fields but left Price List field empty (so business partner currency is not initialized)
- Create new Payment Out document for previous vendor. Set any "Generated credit" amount and run "Add details".
- Try to process payment and error will be raised as
  "Error
   Please initialize <Name of business partner> business partner currency before processing the
   document."
(0100120)
hgbot (developer)
2017-10-27 14:01

Repository: erp/devel/pi
Changeset: 8071a84ccfe201e382955678d7a1c04976f0cfa0
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Oct 20 11:58:31 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8071a84ccfe201e382955678d7a1c04976f0cfa0 [^]

Fixes Issue 37090: Error when processing payment generating credit and business partner
has no currency defined

Before APRM_CreditCurrency check in AddPaymentOnProcessActionHandler,
check whether currency of business partner is null and raise
InitBPCurrencyLnk error message

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddPaymentOnProcessActionHandler.java
---
(0100121)
dmiguelez (developer)
2017-10-27 14:02

Code Review + Testing Ok
(0101351)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-10-17 18:09 maite New Issue
2017-10-17 18:09 maite Assigned To => Triage Finance
2017-10-17 18:09 maite Modules => Advanced Payables and Receivables Mngmt
2017-10-17 18:09 maite Triggers an Emergency Pack => No
2017-10-17 18:13 maite Proposed Solution updated
2017-10-17 18:18 maite Relationship added related to 0028077
2017-10-17 18:46 Practics Issue Monitored: Practics
2017-10-18 11:04 vmromanos Assigned To Triage Finance => AtulOpenbravo
2017-10-20 08:37 AtulOpenbravo Status new => scheduled
2017-10-20 08:37 AtulOpenbravo Note Added: 0099973
2017-10-27 14:01 hgbot Checkin
2017-10-27 14:01 hgbot Note Added: 0100120
2017-10-27 14:01 hgbot Status scheduled => resolved
2017-10-27 14:01 hgbot Resolution open => fixed
2017-10-27 14:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8071a84ccfe201e382955678d7a1c04976f0cfa0 [^]
2017-10-27 14:02 dmiguelez Review Assigned To => dmiguelez
2017-10-27 14:02 dmiguelez Note Added: 0100121
2017-10-27 14:02 dmiguelez Status resolved => closed
2017-10-31 18:18 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101351


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker